//TRACE PARSING;
// ANNEXE aux 'parametres systeme' (.par) du systeme Silasol

// *************************************
// Silasol : parametres du module AFISOL
// *************************************

"frost" "enabled" <- 0;       // 1 : enabled 0 : disabled
"frost" "initialLowestEnduredTemp"            <- -3.;  // C
"frost" "fromNoDestructionToTotalDestruction" <- 10.;  // C

//--------------------------------------------------

"PoisCroissance" 		"P1Gpotentiel" <- 0.170;

"PoisBilanHydrique" 	"fractionRUdispoLevee" <- 1.0 "1.0 : sol plein";

"Pois" "efficientWaterAmountThreshold"  <- 2.    "mm";  //  revoir !!!
"PoisBilanHydrique" "seuilApportEauJSA" <- 0.004 "m";

//--------------------------------------------------

"elongationRacines" "seuilTassement" <- 30;
"elongationRacines" "kPh1Tasse" <- 0.00099;
"elongationRacines" "kPh1NonTasse" <- 0.00099;
"elongationRacines" "kPh2NonTasse" <- 0.00099;

"densiteRacinaireFonctionTassement" "kA" <- -0.5324;
"densiteRacinaireFonctionTassement" "kB" <- 73.0;

//--------------------------------------------------

"facteurHydriquePourEb" "p1" <- 1.05;
"facteurHydriquePourEb" "p2" <- 9.0;
"facteurHydriquePourEb" "p3" <- 9.0;
"facteurHydriquePourEb" "p4" <- 0.0085;

"facteurAzotePourEb" "nStruct" <- 0.72 "pourcent";

"facteurTemperaturePourEb" "p1" <- 0.;
"facteurTemperaturePourEb" "p2" <- 0.;
"facteurTemperaturePourEb" "p3" <- 0.443;
"facteurTemperaturePourEb" "p4" <- 0.765;
"facteurTemperaturePourEb" "p5" <- 16.762;
"facteurTemperaturePourEb" "p6" <- 4.405 "8.81/2.";
"facteurTemperaturePourEb" "p7" <- 4.712;
"facteurTemperaturePourEb" "p8" <- 1.596;

"efficienceClimatiquePourMS" "Ec" <- 0.48;

"facteurAzotePourMS" "p1" <- 1.11;
"facteurAzotePourMS" "p2" <- 3.35;
"facteurAzotePourMS" "p3" <- -5.8;

"facteurMSPourNCrit" "p1" <- 5.08;
"facteurMSPourNCrit" "p2" <- -0.32;
"facteurMSPourNCrit" "p3" <- 1.0;

"facteurQteNCritPourLAI" "p1" <- 0.0277;

"facteurMSpourPourcentN"     "seuilMS"   <-  1. "t/ha";// %Naerien %Nmax %Ncrit
"facteurMSpourPourcentNmax"  "valeurMax" <-  9.28;     // %Naerien %Nmax
"facteurMSpourPourcentNmax"  "exposant"  <- -0.55;     //          %Nmax
"facteurMSpourPourcentNcrit" "valeurMax" <-  5.08;     //                %Ncrit
"facteurMSpourPourcentNcrit" "exposant"  <- -0.32;     //                %Ncrit

//--------------------------------------------------

"azote" "ratioTotalAerien" <- 1.25;
"azote" "vitesseMaxAccumulation" <- 0.77 "kg/ha/j";
"azote" "quantiteNonDispo" <- 0.02 "kg/ha/mm";

"mineralisationAzote" "temperatureMini" <- 0.;

"mineralisationAzoteMH" "fSDC"             <- 0.9;
"mineralisationAzoteMH" "coeffK2"          <- 0.23;
"mineralisationAzoteMH" "coeffArgileK2"    <- 11.;
"mineralisationAzoteMH" "coeffCACO3K2"     <- 60.;
"mineralisationAzoteMH" "coeffTempK2"      <- 0.115;
"mineralisationAzoteMH" "tMineralisationH" <- 15.;
"mineralisationAzoteMH" "coeffBetaK2"      <- 1.3;

"reliquatAzote" "jourJulienMesure" <- 64 "04 mars";
"reliquatAzote" "mesure" <- 115. "kg/ha";

"mineralisationAzoteMR" "automne"   <- -20.;
"mineralisationAzoteMR" "printemps" <-  20.;

"fhum" "Fhm" <- 0.2 "pour [DG] Fhm_CL";
"mineralisationAzote" "sommeFTSemisTo01Fev"  <- 0.      "peut etre cod";
"mineralisationAzote" "sommeFT01FevToMatPhy" <- 95.3539 "necessairement faux";
"mineralisationAzote" "sommeFTSemisToMatPhy" <- 86.4155 "necessairement faux";

"pourcentageFixationAvantDebFlo" "kA"  <-  -2.96;
"pourcentageFixationAvantDebFlo" "kB"  <- 142.77;
"pourcentageFixationApresDebFlo" "kA"  <-  -3.27;
"pourcentageFixationApresDebFlo" "kB"  <- 110.19;

"fixationAzote" "seuilApresLevee"   <- 235. "degres.jours";
"fixationAzote" "valeurAvantSeuil"  <-   0. "";
"fixationAzote" "k1"                <-  -0.0000337;
"fixationAzote" "k2"                <-   0.0119;

//--------------------------------------------------

//"profondeurNodosites" "situationNonTasse" <- 150.  "mm";  // unit ok ?
"profondeurNodosites" "situationNonTasse" <- .150  "m";  // unit ok ?
"profondeurNodosites" "seuilSituationTasse1" <- 1.3;
"profondeurNodosites" "seuilSituationTasse2" <-1.5;
//"profondeurNodosites" "k1" <- 1124.  "mm";
"profondeurNodosites" "k1" <- 1.124  "m";
"profondeurNodosites" "k2" <- 6.5;
"profondeurNodosites" "k3" <- -0.154;

//--------------------------------------------------

"PoisRdtQualNGunitP1g" "k1" <- -11281.;
"PoisRdtQualNGunitP1g" "k2" <- 5054.;

"PoisRdtQualVitesseCroissanceGr" "k1" <- 0.00235;
"PoisRdtQualVitesseCroissanceGr" "k2" <- 0.00008697;

"PoisRdtQualAzoteGr" "N1Gfsla" <- 0.0035;
"PoisRdtQualAzoteGr" "k1FctP1Gmax" <- 0.1179;
"PoisRdtQualAzoteGr" "k2FctP1Gmax" <- 0.5937;
"PoisRdtQualAzoteGr" "kExpQNdispo" <- -0.194;
"PoisRdtQualAzoteGr" "pourcentNfsla" <- 0.042;

//--------------------------------------------------

END INCLUDE;
