// ANNEXE a la structure du systeme Silasol

// *****************************************************************
// Groupe varitaux
// *****************************************************************
+ I groupeVarietalPois poisHiver_nHr
   // nouvelle hr
   // referencee dans developpementPois_init
   //                 stadePoisInitFloraison_ChechStageAchievement
;

+ I groupeVarietalPois poisHiver_hr
	
	// developpement ---------------------------
  	dureePreLevee                           = 150.; // "degres.jour"
  	dureeLeveeInitFloraison                 = 150.; // "degres.jour"
  	jourJulienDebutFloraison                = 10/05;
  	dureeDebutFloraisonDebutRemplissage     = 265.; // "degres.jour"
  	dureeFSLAMaturite                       = 250.; // "degres.jour"
  	nombreEtagesPotentiel                   = 6;
  	decalageDebutRemplissageEntreDeuxEtages = 30.;  // "d.jour" pour "vdrg";
        // resistance au froid ---------------------
  	highestTempWithMaxHardening          =   0.; // Tmingamme
  	lowestTempWithNullHardening          =  10.; // Tmaxgamme
  	totalHardeningDuration               =  42 ; // nb j. endurcissement
 	totalSofteningDuration               =   5 ; // nb j. dsendurcissement
  	lowestTempWithNeverAnyDamage         =  -3.; // Rmin
  	lowerBoundOfHighestTempWithMaxDamage = -15.; // Rs
  	latestThermalAgeWithMinResistance    = 180.; // sti
 	earliestThermalAgeWithMaxResistance  = 210.; // stx
	// croissance -----------------------------
	epsilonIMax            = 0.931;
	epsilonBVeg            = 2.63;
	epsilonBRpr            = 4.34;
	extinctionCoefficient  = 0.57 ;
	poidsMoyenGrainMaximal = 0.170;
;

+ I groupeVarietalPois poisPrintemps_PH1 // ex PH
	
	// developpement ---------------------------
  	dureePreLevee                           = 200.; // "degres.jour"
  	dureeLeveeInitFloraison                 = 200.; // "degres.jour"
  	jourJulienDebutFloraison                = 10/05;
  	dureeDebutFloraisonDebutRemplissage     = 300.; // "degres.jour"
  	dureeFSLAMaturite                       = 250.; // "degres.jour"
  	nombreEtagesPotentiel                   = 6.16;
  	decalageDebutRemplissageEntreDeuxEtages = 30.;  // "d.jour" pour "vdrg";
    // resistance au froid ---------------------
  	highestTempWithMaxHardening          =   0.; // Tmingamme
  	lowestTempWithNullHardening          =  10.; // Tmaxgamme
  	totalHardeningDuration               =  42 ; // nb j. endurcissement
 	totalSofteningDuration               =   5 ; // nb j. dsendurcissement
  	lowestTempWithNeverAnyDamage         =  -3.; // Rmin
  	lowerBoundOfHighestTempWithMaxDamage = -15.; // Rs
  	latestThermalAgeWithMinResistance    = 180.; // sti
 	earliestThermalAgeWithMaxResistance  = 210.; // stx
	// croissance -----------------------------
	epsilonIMax            = 0.983;
	epsilonBVeg            = 2.63;
	epsilonBRpr            = 4.34;
	extinctionCoefficient  = 0.57 ;
	poidsMoyenGrainMaximal = 0.170;
;

+ I groupeVarietalPois poisPrintemps_PH2 // ex PP
	
	// developpement ---------------------------
  	dureePreLevee                           = 150.; // "degres.jour"
  	dureeLeveeInitFloraison                 = 150.; // "degres.jour"
  	jourJulienDebutFloraison                = 10/05;
  	dureeDebutFloraisonDebutRemplissage     = 265.; // "degres.jour"
  	dureeFSLAMaturite                       = 250.; // "degres.jour"
  	nombreEtagesPotentiel                   = 6;
  	decalageDebutRemplissageEntreDeuxEtages = 30.;  // "d.jour" pour "vdrg";
        // resistance au froid ---------------------
  	highestTempWithMaxHardening          =   0.; // Tmingamme
  	lowestTempWithNullHardening          =  10.; // Tmaxgamme
  	totalHardeningDuration               =  42 ; // nb j. endurcissement
 	totalSofteningDuration               =   5 ; // nb j. dsendurcissement
  	lowestTempWithNeverAnyDamage         =  -3.; // Rmin
  	lowerBoundOfHighestTempWithMaxDamage = -15.; // Rs
  	latestThermalAgeWithMinResistance    = 180.; // sti
 	earliestThermalAgeWithMaxResistance  = 210.; // stx
	// croissance -----------------------------
	epsilonIMax            = 0.931;
	epsilonBVeg            = 2.63;
	epsilonBRpr            = 4.34;
	extinctionCoefficient  = 0.57 ;
	poidsMoyenGrainMaximal = 0.170;
;

// *****************************************************************

+ I groupeVarietalCereale bleDur_t1

	// developpement -----------  (in)valider---------
	jourJulienMiTallage  = 25/2;
	jourJulienDeuxNoeuds = 1/5;
	jourJulienEpiaison   =  10/5;
	jourJulienMaturite   =  15/7;
	// variables d'etat liees au stade ---------
	phasicValueSetTabAttribute << <I><,kc_miTallage_Cereale>; 
	phasicValueSetTabAttribute << <I><,kc_deuxNoeuds_Cereale>; 
	phasicValueSetTabAttribute << <I><,kc_epiaisonPlusUnMois_Cereale>;
	phasicValueSetTabAttribute << <I><,kc_maturite_Cereale>;
;

+ I groupeVarietalCereale bleTendre_t1

	// developpement ---------------------------
	jourJulienMiTallage  = 10/2;
	jourJulienDeuxNoeuds = 20/4;
	jourJulienEpiaison   =  1/5;
	jourJulienMaturite   =  7/7;
	// variables d'etat liees au stade ---------
	phasicValueSetTabAttribute << <I><,kc_miTallage_Cereale>; 
	phasicValueSetTabAttribute << <I><,kc_deuxNoeuds_Cereale>; 
	phasicValueSetTabAttribute << <I><,kc_epiaisonPlusUnMois_Cereale>;
	phasicValueSetTabAttribute << <I><,kc_maturite_Cereale>;
;

+ I groupeVarietalCereale orgeHiver_t1

	// developpement ---------------------------
	jourJulienMiTallage  = 20/1;
	jourJulienDeuxNoeuds =  1/4;
	jourJulienEpiaison   = 10/4;
	jourJulienMaturite   = 15/6;
	// variables d'etat liees au stade ---------
	phasicValueSetTabAttribute << <I><,kc_miTallage_Cereale>; 
	phasicValueSetTabAttribute << <I><,kc_deuxNoeuds_Cereale>; 
	phasicValueSetTabAttribute << <I><,kc_epiaisonPlusUnMois_Cereale>;
	phasicValueSetTabAttribute << <I><,kc_maturite_Cereale>;
;

+ I groupeVarietalCereale orgePrintemps_t1

	// developpement ---------------------------
	jourJulienMiTallage  = 10/3;
	jourJulienDeuxNoeuds = 20/5;
	jourJulienEpiaison   = 20/5;            // !!!
	jourJulienMaturite   = 30/6;
	// variables d'etat liees au stade ---------
	phasicValueSetTabAttribute << <I><,kc_miTallage_Cereale>; 
	phasicValueSetTabAttribute << <I><,kc_deuxNoeuds_Cereale>; 
	phasicValueSetTabAttribute << <I><,kc_epiaisonPlusUnMois_Cereale>;
	phasicValueSetTabAttribute << <I><,kc_maturite_Cereale>;
;

// *****************************************************************

+ I groupeVarietalColza colza_t1

	// developpement ---------------------------
	jourJulienLevee        =  1/9;
	jourJulienDebutRosette =  1/10;
	jourJulienMiRosette    = 20/10;
	jourJulienFinRosette   = 10/11;
	jourJulienMaturite     = 20/6;
// complter avec les thermalTime's
	// variables d'etat liees au stade ---------
	phasicValueSetTabAttribute << <I><,kc_levee_Colza>; 
	phasicValueSetTabAttribute << <I><,kc_debutRosette_Colza>; 
	phasicValueSetTabAttribute << <I><,kc_miRosette_Colza>; 
	phasicValueSetTabAttribute << <I><,kc_finRosette_Colza>;
	phasicValueSetTabAttribute << <I><,kc_maturite_Colza>;
	phasicValueSetTabAttribute << <I><,kc_recolte_Colza>;
;

// *****************************************************************

END INCLUDE;
